Draft Shape2DView/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(13 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav|[[Draft_DelPoint|Delete point]]|[[Draft_Draft2Sketch|Draft to Sketch]]|[[Draft_Module|Draft]]|IconL=Draft_DelPoint.svg|IconC=Workbench_Draft.svg|IconR=Draft_Draft2Sketch.svg}}
{{Docnav
|[[Draft_FlipDimension|FlipDimension]]
|[[Draft_SelectPlane|SelectPlane]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_FlipDimension.svg
|IconR=Draft_SelectPlane.svg
|IconC=Workbench_Draft.svg
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/es
{{GuiCommand/es|Name=Draft Shape2DView|Name/es=Draft Shape2DView|Workbenches=[[Draft Module/es|Boceto]], [[Arch Module/es|Arquitectura]]|MenuLocation=Boceto → Vista de forma 2D}}
|Name=Draft Shape2DView
|Name/es=Draft Shape2DView
|MenuLocation=Boceto → Vista de forma 2D
|Workbenches=[[Draft_Workbench/es|Boceto]], [[Arch_Workbench/es|Arquitectura]]
}}
</div>
</div>


<span id="Description"></span>
==Descripción==
==Descripción==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Esta herramienta coloca en el documento un objeto 2D que es una vista aplanada de un objeto seleccionado [[Part Module/es|Shape]], proyectado a lo largo de la dirección de vista actual.
Esta herramienta coloca en el documento un objeto 2D que es una vista aplanada de un objeto seleccionado [[Part_Workbench/es|Shape]], proyectado a lo largo de la dirección de vista actual.
</div>
</div>


The resulting projection is a Draft object and is placed in the 3D view. This object can be displayed on a [[TechDraw Workbench]] Page, using the [[TechDraw NewDraft]] tool. Alternatively, TechDraw has its own tools to create projected views, the [[TechDraw NewView]] and [[TechDraw NewProjGroup]] tools; however, these tools are meant for preparing technical drawings, so they create the views only in the drawing page, and not in the 3D view.
Draft Shape2DView projections can be displayed on a [[TechDraw_Workbench|TechDraw Workbench]] page using the [[TechDraw_DraftView|TechDraw DraftView]] command. Alternatively the [[TechDraw_Workbench|TechDraw Workbench]] offer its own projection commands. But these create projections that are only displayed on the drawing page and not in the [[3D_view|3D view]].


[[Image:Draft_Shape2DView_example.jpg]]
[[Image:Draft_Shape2DView_example.jpg]]
{{Caption|Projection of solid shapes into the XY plane}}
{{Caption|Projection of solid shapes onto the XY plane}}


<span id="Usage"></span>
==Utilización==
==Utilización==


Line 24: Line 39:
</div>
</div>


==How to produce plans and sections with different linewidths==
The projected object will be created below the selected object, lying on the XY plane. It's position can be changed by changing its properties. The projection direction can also be changed after creation with the [[property editor]].


[[Image:Draft_shape2dview_example_plan.png|700px]]
If the selected object is an [[Arch SectionPlane]], the projection will use the contents and direction of that Section plane; in this case, the "Projection" property will be ignored.


Drawings with different linewidths for viewed and cut lines can easily be produced by using two shape2Dview objects from a same [[Arch_SectionPlane|Arch SectionPlane]]. One of the shape2Dview objects has its projection mode set to '''Solid''', which renders the viewed lines, and another set to '''Cut lines''' or '''Cut faces''' to render the cut lines. The two shape2Dviews are then placed at the same location, one on top of the other.
==Opciones==

<div class="mw-translate-fuzzy">
* Si el objeto seleccionado es un [[Arch SectionPlane/es|Plano de sección de arquitectura]], la proyección 2D será del contenido del plano de sección, y el vector de proyección se tomará del plano de sección en lugar de debajo de la propiedad de Projección.
* El modo de funcionamiento normal es '''Sólido''', que proyecta la forma completa, pero si seleccionas algunas caras del objeto base cuando se crea la vista 2D, también puedes establecer el modo '''Caras individuales''', que proyectará sólo las caras que están seleccionadas.
* Si el objeto seleccionado es una [[Arch SectionPlane/es|Sección Plana de arquitectura]], está disponible un modo de proyección '''líneas de corte''', que proyecta sólo las aristas que son cortadas por el plano de sección.
</div>


<span id="Properties"></span>
==Propiedades==
==Propiedades==

See also: [[Property_editor|Property editor]].

A Draft Shape2DView object is derived from a [[Part_Part2DObject|Part Part2DObject]] and inherits all its properties. It also has the following additional properties:

===Data===

{{TitleProperty|Draft}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 42: Line 60:
* {{PropertyData|Projection Mode}}: El modo de la proyección: sólido, caras individuales o líneas de corte.
* {{PropertyData|Projection Mode}}: El modo de la proyección: sólido, caras individuales o líneas de corte.
</div>
</div>

===View===

{{TitleProperty|Draft}}

* {{PropertyView|Pattern|Enumeration}}: not used.
* {{PropertyView|Pattern Size|Float}}: not used.

==Scripting==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 52: Line 79:


{{Code|code=
{{Code|code=
Shape2DView = makeShape2DView(baseobj, projectionVector=None, facenumbers=[])
shape2dview = make_shape2dview(baseobj, projectionVector=None, facenumbers=[])
}}
}}


Line 62: Line 89:
</div>
</div>


The {{incode|ProjectionMode}} attribute needs to be overwritten with the desired mode, which can be {{incode|"Solid"}}, {{incode|"Individual Faces"}}, {{incode|"Cutlines"}}, or {{incode|"Cutfaces"}}.
Change the {{incode|ProjectionMode}} property of the created object if required. It can be: {{incode|"Solid"}}, {{incode|"Individual Faces"}}, {{incode|"Cutlines"}}, {{incode|"Cutfaces"}} or {{incode|"Solid faces"}}.


Ejemplo:
Ejemplo:


{{Code|code=
{{Code|code=
import FreeCAD, Draft
import FreeCAD as App
import Draft


doc = App.newDocument()
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000


box = doc.addObject("Part::Box", "Box")
Shape1 = Draft.makeShape2DView(Box)
box.Length = 2300
box.Width = 500
box.Height = 1000


shape1 = Draft.make_shape2dview(box)
Shape2 = Draft.makeShape2DView(Box, FreeCAD.Vector(1, -1, 1))


Shape3 = Draft.makeShape2DView(Box, FreeCAD.Vector(-1, 1, 1), [4,5])
shape2 = Draft.make_shape2dview(box, App.Vector(1, -1, 1))
Shape3.ProjectionMode = "Individual Faces"


shape3 = Draft.make_shape2dview(box, App.Vector(-1, 1, 1), [0, 5])
FreeCAD.ActiveDocument.recompute()
shape3.ProjectionMode = "Individual Faces"

doc.recompute()
}}
}}


{{Docnav|[[Draft_DelPoint|Delete point]]|[[Draft_Draft2Sketch|Draft to Sketch]]|[[Draft_Module|Draft]]|IconL=Draft_DelPoint.svg|IconC=Workbench_Draft.svg|IconR=Draft_Draft2Sketch.svg}}


{{Docnav
{{Draft Tools navi}}
|[[Draft_FlipDimension|FlipDimension]]
|[[Draft_SelectPlane|SelectPlane]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_FlipDimension.svg
|IconR=Draft_SelectPlane.svg
|IconC=Workbench_Draft.svg
}}


{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 19:51, 29 April 2023

Draft Shape2DView

Ubicación en el Menú
Boceto → Vista de forma 2D
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Ninguno

Descripción

Esta herramienta coloca en el documento un objeto 2D que es una vista aplanada de un objeto seleccionado Shape, proyectado a lo largo de la dirección de vista actual.

Draft Shape2DView projections can be displayed on a TechDraw Workbench page using the TechDraw DraftView command. Alternatively the TechDraw Workbench offer its own projection commands. But these create projections that are only displayed on the drawing page and not in the 3D view.

Projection of solid shapes onto the XY plane

Utilización

  1. Selecciona el objeto que quieres extraer a una vista 2D
  2. Presiona el botón Vista de forma 2D

How to produce plans and sections with different linewidths

Drawings with different linewidths for viewed and cut lines can easily be produced by using two shape2Dview objects from a same Arch SectionPlane. One of the shape2Dview objects has its projection mode set to Solid, which renders the viewed lines, and another set to Cut lines or Cut faces to render the cut lines. The two shape2Dviews are then placed at the same location, one on top of the other.

Propiedades

See also: Property editor.

A Draft Shape2DView object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DatosProjection: La dirección de la proyección
  • DatosProjection Mode: El modo de la proyección: sólido, caras individuales o líneas de corte.

View

Draft

  • VistaPattern (Enumeration): not used.
  • VistaPattern Size (Float): not used.

Scripting

Programación

La herramienta de vista 2D de forma se puede utilizar en macros y desde la consola de Python utilizando la siguiente función:

shape2dview = make_shape2dview(baseobj, projectionVector=None, facenumbers=[])
  • Añade una forma 2D al documento, la cual es una proyección 2D del objeto dado.
  • Se puede indicar un vector de proyección específico.
  • Devuelve el objeto generado.
  • También puedes proporcionar una lista de números de caras a considerar.

Change the ProjectionMode property of the created object if required. It can be: "Solid", "Individual Faces", "Cutlines", "Cutfaces" or "Solid faces".

Ejemplo:

import FreeCAD as App
import Draft

doc = App.newDocument()

box = doc.addObject("Part::Box", "Box")
box.Length = 2300
box.Width = 500
box.Height = 1000

shape1 = Draft.make_shape2dview(box)

shape2 = Draft.make_shape2dview(box, App.Vector(1, -1, 1))

shape3 = Draft.make_shape2dview(box, App.Vector(-1, 1, 1), [0, 5])
shape3.ProjectionMode = "Individual Faces"

doc.recompute()